#{extends 'border.html'/}
<div class="container-fluid">

    <div class="row">
        <div class="col-md-20">
            <div class="toolbar">
                <a href="@{create()}" class="btn btn-primary btn-md"><i class="fa fa-plus"></i> &{'tambah.label'} &{'point_rating.label'}</a>
                <a class="btn btn-primary btn-md" href="@{masterdata.PointRatingCtr.enableFeature(prFitur)}">
                    <i class="fa fa-edit"></i> ${textButton}
                </a>
            </div>
            #{alert /}
            <div class="panel panel-default">
                <div class="panel-body">
                    <!-- Data Table -->
                    <table class="table table-striped" id="tblPointRating">
                        <thead>
                        <tr>
                            <th>&{'nomor.label'}</th>
                            <th>&{'nama.label'}</th>
                            <th>&{'deskripsi.label'}</th>
                            <th>&{'aktif.label'}</th>
                            <th></th>
                        </tr>
                        </thead>
                    </table>
                    <!-- End Data Table -->
                </div>
            </div>
        </div>
    </div>
</div>

#{set 'moreScripts'}
<script src="@{'/public/javascripts/toast/jquery.toast.min.js'}" type="text/javascript"> </script>
<script type="text/javascript">
    jQuery(document).ready(function($) {
        $("#tblPointRating").dataTable({
            'searching': true,
            ajax : {
                url : "@{masterdata.PointRatingCtr.dataSrc()}",
                method: "GET",
                data: function (d) {
                    // d.keyword = $("#keyword").val();
                    // d.commodity = $("#commodity").val();
                },
                cache : true
            },
            order : [ [ 0, "asc" ] ],
            columns :
            [
                {
                    "searchable" : false, "className": "header-center",
                    render : function(data, type, row, meta) {
                        return meta.row + meta.settings._iDisplayStart + 1 + ".";
                    }
                },
                {"searchable" : true},
                {"searchable" : true, "orderable" : false},
                {"searchable" : false, "orderable" : false, "className": "header-center"},
                {"searchable" : false, "orderable" : false, "className": "header-center"}
            ]
        });

        $('.search-provider').click(function () {
            $("#tblPointRating").DataTable().ajax.reload();
        });

    });
</script>
#{/set}
